SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - i -

- id : SUOverlayCreateInfo
- image_format : SUOverlayCreateInfo
- image_orientation : SUOverlayCreateInfo
- is_bold : SUFontInfo
- is_italic : SUFontInfo
- is_licensed : SUExtensionLicense
- is_perspective : SUBeginFrameInfo
- SUImageCreateFromFile() : SUImageRef
- SUImageCreateFromImageRep() : SUImageRef
- SUImageFromDrawingElement() : SUImageRef
- SUImageFromEntity() : SUImageRef
- SUImageGetData() : SUImageRef
- SUImageGetDataSize() : SUImageRef
- SUImageGetDefinition() : SUImageRef
- SUImageGetDimensions() : SUImageRef
- SUImageGetFileName() : SUImageRef
- SUImageGetImageRep() : SUImageRef
- SUImageGetName() : SUImageRef
- SUImageGetPixelDimensions() : SUImageRef
- SUImageGetTransform() : SUImageRef
- SUImageRepConvertTo32BitsPerPixel() : SUImageRepRef
- SUImageRepCopy() : SUImageRepRef
- SUImageRepCreate() : SUImageRepRef
- SUImageRepGetColorAtUV() : SUImageRepRef
- SUImageRepGetData() : SUImageRepRef
- SUImageRepGetDataAsColors() : SUImageRepRef
- SUImageRepGetDataSize() : SUImageRepRef
- SUImageRepGetPixelDimensions() : SUImageRepRef
- SUImageRepGetRowPadding() : SUImageRepRef
- SUImageRepLoadFile() : SUImageRepRef
- SUImageRepRelease() : SUImageRepRef
- SUImageRepResize() : SUImageRepRef
- SUImageRepSaveToFile() : SUImageRepRef
- SUImageRepSetData() : SUImageRepRef
- SUImageSetName() : SUImageRef
- SUImageSetTransform() : SUImageRef
- SUImageToDrawingElement() : SUImageRef
- SUImageToEntity() : SUImageRef
- SUInstancePathContains() : SUInstancePathRef
- SUInstancePathCreate() : SUInstancePathRef
- SUInstancePathCreateCopy() : SUInstancePathRef
- SUInstancePathGetFullDepth() : SUInstancePathRef
- SUInstancePathGetInstanceAtDepth() : SUInstancePathRef
- SUInstancePathGetLeaf() : SUInstancePathRef
- SUInstancePathGetLeafAsEntity() : SUInstancePathRef
- SUInstancePathGetPathDepth() : SUInstancePathRef
- SUInstancePathGetPersistentID() : SUInstancePathRef
- SUInstancePathGetPersistentIDAtDepth() : SUInstancePathRef
- SUInstancePathGetTransform() : SUInstancePathRef
- SUInstancePathGetTransformAtDepth() : SUInstancePathRef
- SUInstancePathIsEmpty() : SUInstancePathRef
- SUInstancePathIsValid() : SUInstancePathRef
- SUInstancePathPopInstance() : SUInstancePathRef
- SUInstancePathPushInstance() : SUInstancePathRef
- SUInstancePathRelease() : SUInstancePathRef
- SUInstancePathSetLeaf() : SUInstancePathRef